petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscRandomDestroy

Destroys a context that has been formed by PetscRandomCreate().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomDestroy(PetscRandom *r)

Collective on PetscRandom

### Intput Parameter

| r | - the random number generator context

### See Also

PetscRandomGetValue(), PetscRandomCreate(), VecSetRandom()

### Level

intermediate

### Location

src/sys/classes/random/interface/randomc.c

### Examples

src/sys/classes/random/tutorials/ex1.c.html
src/sys/classes/random/tutorials/ex2.c.html
src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/vec/vec/tutorials/performance.c.html
src/mat/tutorials/ex2.c.html
src/mat/tutorials/ex9.c.html
src/dm/tutorials/swarm_ex3.c.html
src/dm/field/tutorials/ex1.c.html
src/ksp/pc/tutorials/ex3.c.html
src/ksp/ksp/tutorials/ex5.c.html
src/ksp/ksp/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages